Bug 201042 - Build errror _dns_ttl_ undefined
Build errror _dns_ttl_ undefined
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Bacovsky
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 10:22 EDT by Stuart Newman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stuart Newman 2006-08-02 10:22:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060719 Firefox/

Description of problem:
When building squid from the source RPM, squid thinks that the libresolv hack is present when it is not, causing _dns_ttl_ to be undefined and dnsserver to error.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Build squid-2.5.STABLE3-6.3E.18
2.Examine the build output to verify that libresolv _dns_ttl_ hack is yes
3.It should be no

Actual Results:
libresolv _dns_ttl_ hack was yes

Expected Results:
libresolv _dns_ttl_ hack should be no

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:42:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.